#!/bin/sh 

echo "This script should be replaced by a top level make and make install!!"

if [ ! -f gs3-setup.sh ]; then
    echo "You must run this script from within the Greenstone home directory"
    exit 1
fi

#check that GSDL3HOME is set
if test -z "$GSDL3HOME" ; then
  source gs3-setup.sh
fi


# make the java packages
cd src/java/org/greenstone/gdbm
make clean
make
make install
CLASSPATH=$GSDL3HOME/lib/java/gdbm.jar:$CLASSPATH
cd $GSDL3HOME

cd src/java/org/greenstone/testing
make clean
make
make install
CLASSPATH=$GSDL3HOME/lib/java/jutest.jar:$CLASSPATH
cd $GSDL3HOME

cd src/java/org/greenstone/gsdl3
make clean
make
make install
CLASSPATH=$GSDL3HOME/lib/java/gsdl3.jar:$CLASSPATH
cd $GSDL3HOME

cd src/java/org/greenstone/applet/phind
make clean
make
make install
CLASSPATH=$GSDL3HOME/lib/java/Phind.jar:$CLASSPATH
cd $GSDL3HOME

# make the javadocs
JAVADOCDIR=$GSDL3HOME/docs/javadoc
mkdir -p $JAVADOCDIR
javadoc -d $JAVADOCDIR -private  -link http://java.sun.com/j2se/1.4.2/docs/api/ `find src -name '*.java'` `find packages/ -name '*.java'` > $JAVADOCDIR/javadoc_log


#compile the test servlet
cd web/WEB-INF/classes
javac TestServlet.java
cd $GSDL3HOME

# build stuff - mysql, mg, mgpp
cd packages
make
make install
cd $GSDL3HOME
