#!/bin/sh 

if [ ! -f gs3-setup.sh ]; then
    echo "You must run this script from within the Greenstone 3 home directory"
    exit 1
fi

#check that GSDL3HOME is set
if test -z "$GSDL3HOME" ; then
  source gs3-setup.sh
fi

echo "removing unnecessary files for distribution:"

echo "tomcat, soap, mysql tar files"  

rm $GSDL3HOME/comms/jakarta/tomcat-4.1.24.tar.gz
rm $GSDL3HOME/comms/soap/soap-bin-2.2.tar.gz
rm $GSDL3HOME/packages/mysql/mysql-4.0.16.tar.gz
rm -rf $GSDL3HOME/packages/mysql/mysql-4.0.16

echo "collection indexfiles.tgz"

for f in $GSDL3HOME/web/sites/localsite/collect/*/index; do
    rm $f/indexfiles.tgz
done

echo "unwanted collections"

rm -r  $GSDL3HOME/web/sites/localsite/collect/xslt
rm -r $GSDL3HOME/web/sites/localsite/collect/gs2model
rm -r $GSDL3HOME/web/sites/localsite/collect/nzmaps

echo "make clean"

cd $GSDL3HOME/src/java/org/greenstone/gdbm
make clean
cd $GSDL3HOME/src/java/org/greenstone/testing
make clean
cd $GSDL3HOME/src/java/org/greenstone/gsdl3
make clean
cd $GSDL3HOME/src/java/org/greenstone/applet/phind
make clean
cd $GSDL3HOME/packages/mg
make clean
cd $GSDL3HOME/packages/mgpp
make clean

cd $GSDL3HOME

echo "Makefiles"
cd $GSDL3HOME/packages
for f in `find -name Makefile`; do
  rm $f
done
cd $GSDL3HOME

echo "gate jar file"
rm $GSDL3HOME/lib/java/gate.jar.tmp

echo "CVS directories"
cd $GSDL3HOME
for f in `find -name CVS`; do
  rm -r  $f
done
